%global mod_name WTForms

Name:           python-wtforms
Version:        2.0
Release:        %mkrel 8
Summary:        Forms validation and rendering library for python

Group:          Development/Python
License:        BSD
URL:            http://wtforms.simplecodes.com/
Source0:        http://pypi.python.org/packages/source/W/%{mod_name}/%{mod_name}-%{version}.zip

# Submitted upstream at https://github.com/wtforms/wtforms/pull/143
Patch0:         143.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
With wtforms, your form field HTML can be generated for you. 
This allows you to maintain separation of code and presentation, 
and keep those messy parameters out of your python code.

%package -n python3-wtforms
Summary:        Forms validation and rendering library for python
Group:          Development/Python

%description -n python3-wtforms
With wtforms, your form field HTML can be generated for you. 
This allows you to maintain separation of code and presentation, 
and keep those messy parameters out of your python code.


%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1
sed -i "s|\r||g" docs/html/_sources/index.txt
sed -i "s|\r||g" docs/conf.py
sed -i "s|\r||g" docs/Makefile
sed -i "s|\r||g" docs/index.rst
sed -i "s|\r||g" docs/html/_static/jquery.js
rm -f docs/html/.buildinfo

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

mkdir -p %{buildroot}/%{_datadir}
mv %{buildroot}/%{python2_sitelib}/wtforms/locale %{buildroot}%{_datadir}
find %{buildroot}%{_datadir}/locale -name '*.po*' -delete

pushd %{py3dir}
%py3_install
rm -rf %{buildroot}/%{python3_sitelib}/wtforms/locale
popd

%find_lang wtforms

%files -f wtforms.lang
%license LICENSE.txt
%doc docs/ PKG-INFO
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/wtforms/

%files -n python3-wtforms -f wtforms.lang
%license LICENSE.txt
%doc docs/ PKG-INFO
%{python3_sitelib}/*.egg-info/
%{python3_sitelib}/wtforms/



%changelog
* Sat May 28 2016 ngompa <ngompa> 2.0-8.mga6
+ Revision: 1019126
- imported package python-wtforms

